Loading...
Searching...
No Matches
pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor Struct Reference

`#include <pcl/registration/transformation_estimation_lm.h>`

Inheritance diagram for pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor:

## Public Member Functions

| OptimizationFunctor (int m_data_points, const TransformationEstimationLM *estimator)
| Functor constructor.
| OptimizationFunctor (const OptimizationFunctor &src)
| Copy constructor.
OptimizationFunctor & | operator= (const OptimizationFunctor &src)
| Copy operator.
| ~OptimizationFunctor () override=default
| Destructor.
int | operator() (const VectorX &x, VectorX &fvec) const
| Fill fvec from x.
Public Member Functions inherited from pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< MatScalar >
| Functor ()
| Empty Constructor.
| Functor (int m_data_points)
| Constructor.
virtual | ~Functor ()=default
| Destructor.
int | values () const
| Get the number of values.

## Public Attributes

const TransformationEstimationLM< PointSource, PointTarget, MatScalar > * | estimator_

## Additional Inherited Members

Public Types inherited from pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< MatScalar >
enum |
using | Scalar = MatScalar
using | InputType = Eigen::Matrix< MatScalar, InputsAtCompileTime, 1 >
using | ValueType = Eigen::Matrix< MatScalar, ValuesAtCompileTime, 1 >
using | JacobianType = Eigen::Matrix< MatScalar, ValuesAtCompileTime, InputsAtCompileTime >
Protected Attributes inherited from pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< MatScalar >
int | m_data_points_

## Detailed Description

template<typename PointSource, typename PointTarget, typename MatScalar = float>
struct pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor

Definition at line 256 of file transformation_estimation_lm.h.

## Constructor & Destructor Documentation

## OptimizationFunctor() [1/2]

template<typename PointSource , typename PointTarget , typename MatScalar = float>

pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor::OptimizationFunctor | ( | int | m_data_points,
|  | const TransformationEstimationLM * | estimator
| ) |  |

inline

Functor constructor.

Parameters

  [in] | m_data_points | the number of data points to evaluate
  [in,out] | estimator | pointer to the estimator object

Definition at line 263 of file transformation_estimation_lm.h.

## OptimizationFunctor() [2/2]

template<typename PointSource , typename PointTarget , typename MatScalar = float>

pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor::OptimizationFunctor | ( | const OptimizationFunctor & | src | ) |

inline

Copy constructor.

Parameters

  [in] | src | the optimization functor to copy into this

Definition at line 270 of file transformation_estimation_lm.h.

## ~OptimizationFunctor()

template<typename PointSource , typename PointTarget , typename MatScalar = float>

pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor::~OptimizationFunctor | ( |  | ) |

override default

Destructor.

## Member Function Documentation

## operator()()

template<typename PointSource , typename PointTarget , typename MatScalar >

int pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor::operator() | ( | const VectorX & | x,
|  | VectorX & | fvec
| ) |  | const

Fill fvec from x.

For the current state vector x fill the f values

Parameters

  [in] | x | state vector
  [out] | fvec | f values vector

Definition at line 240 of file transformation_estimation_lm.hpp.

## operator=()

template<typename PointSource , typename PointTarget , typename MatScalar = float>

OptimizationFunctor & pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor::operator= | ( | const OptimizationFunctor & | src | ) |

inline

Copy operator.

Parameters

  [in] | src | the optimization functor to copy into this

Definition at line 280 of file transformation_estimation_lm.h.

References pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor::estimator_.

## Member Data Documentation

## estimator_

template<typename PointSource , typename PointTarget , typename MatScalar = float>

const TransformationEstimationLM<PointSource, PointTarget, MatScalar>* pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor::estimator_

Definition at line 297 of file transformation_estimation_lm.h.

Referenced by pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::OptimizationFunctor::operator=().

The documentation for this struct was generated from the following files:

- pcl/registration/transformation_estimation_lm.h
- pcl/registration/impl/transformation_estimation_lm.hpp